body,
html {
  height: 100%;
}

.container {
  width: 100%;
  height: 100%;
}

.page-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

header {
  width: 100%;
  margin: 12px -3px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* todo: breakpoints */
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  min-height: 80%;
}

.bc-logo-link {
  padding: 24px;
}

.bc-logo {
  background: url(../images/BIMcollab-Logo_23-FullColor-RGB.svg) 0 50% no-repeat;
  display: block;
  height: 30px;
  width: 150px;
}

.client-logo {
  height: 30px;
  margin-right: 18px;
  width: 128px;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right center;
  background-image: url("/WebApp/Handlers/Public/DisplaySpaceImage.ashx?spaceImageId=1");
}

.login-container {
  width: 100%;
  max-width: 450px;
  margin-top: 7px;
  padding: 12px 20px;

  align-items: center;
  background-color: #efefef;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

h1 {
  margin: 20px 0 36px 0;
}

form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.errorMessage, .twofa-container .alert-danger, .recoverycode-container .alert-danger {
    color: #d34f0b;
    text-align: center;
    font-size: 85%;
}

.form-control::placeholder {
  color: #4c4b4b;
  opacity: 1;
}

.form-group {
  margin-bottom: 12px;
}

.btn {
  max-width: 270px;
  width: 75%;
  margin: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-lowest {
  margin-top: 7px;
  margin-bottom: 5px;
}

a.secondary {
  color: #7f7e7d;
  text-decoration: none;
  font-size: 12px;
}

.recoverycode-container p,
.recoverycode-container .form-control,
.twofa-container p,
.twofa-container .form-control {
  text-align: center;
}

.recoverycode-container .form-control {
    min-width: 260px;
}